import "moment/locale/zh-cn";
import "@/scss/index.scss";
import "@/router/permission";

import { createApp } from "vue";
import App from "./App.vue";
import router from "./router";
import store from "./store";

import install from "@/plugins/install";
import createGlobalData from "./plugins/createGlobal";

import ElementPlus from 'element-plus';
import 'element-plus/lib/theme-chalk/index.css';
import 'dayjs/locale/zh-cn'
import locale from 'element-plus/lib/locale/lang/zh-cn'
import { ElIcon } from 'element-plus'

const app = createApp(App);

// 初始化三方库和插件
install(app);
createGlobalData(app);


app.use(ElementPlus, { locale })
app.use(ElIcon)
app.use(store).use(router);

router.isReady().then((_) => app.mount("#app"));
